Installation and usage of the platform
REST API: information about activation of the platform features¶
GET /activation/status¶
The method returns the activation status of features.
For more information about the activation process, see the article :ref:`Activation of blockchain features <soft-forks> `.
The method response contains following common fields:
height– height of the blockchain;votingInterval– activation voting interval;votingThresholdnextCheck
Next, the features array is output, containing information on each individual feature:
id– feature identifier;description– feature description;blockchainStatus– feature activation status in the blockchain:UNDEFINED– the feature is not activated, voting for it was not carried out;APPROVED– voting for the functionality is done, the activation will be done at the set blockchain height;ACTIVATED– the feature is activated;
nodeStatus– the status of a feature on the member’s node:VOTED– the node has voted to activate the functionality;NOT IMPLEMENTED– the functionality is not running on the node;IMPLEMENTED– the functionality is running on the node;
activationHeight– the height of the blockchain at which the feature is activated.
Response example: